Subject: Re: What is left after LOCK/UNLOCK on null resource?

From: Julian Reschke <[email-masked]>
Date: Mon, 05 Apr 2004 18:29:39 +0200

Uma Gajendragadkar wrote:

> Guys,
>  
>  
> Can anyone help me here? How does one get the lockToken's value in a
> client? Th elockdiscovery seems to return
> opaquelocktoken:dummytoken rather than the actual token :-(
>  
> There has been huge discussin here but no answer???
>  
> Any replies will be appreciated..
>  
> Uma

Servers are free not to return the lock token upon lockdiscovery, 
however returning a "dummy" token (instead of nothing) is definitively a 
severe bug (in particular if it breaks the syntax for the locktoken URI 
scheme).

Regards, Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760